package tests;

import static org.junit.Assert.*;

import org.junit.Test;

import etudeCasUML.Client;
import etudeCasUML.Commande;
import etudeCasUML.Facture;


public class ClientTest {
	Client client = new Client("Duval");
	Facture facture, factureB;
	Commande cmd1, cmd2, cmd3;
	
	@Test
	public void testEtudiantNom() {
		assertEquals("nom client enregistre", client.getNom(),"Duval");
	}
	
	@Test	
	public void fonction() {
		// est A Jour
		client.estAJour();
	    cmd2 = client.arrCommande("desc-piece2",(float)25.5);
		assertNotNull("accepte commande",cmd2);
	// Facturation seulement commandes realis�es
		facture = client.arrFinMois();
		assertNull("facturation",facture);
		cmd2.arrBonFabricationComplet();
	    factureB = client.arrFinMois();
		assertNotNull("facturation",factureB);
		assertEquals(factureB.getMontant(),cmd2.getMontant(),0);
	// cons�quence d'une relance d'une facture 
		factureB.arrDateRelance();
		Commande cmd0 = client.arrCommande("desc-piece0",(float)5.5);
		assertNull("refus commande",cmd0);
	// cons�quence du paiement des factures 
		factureB.arrPaiement((float)25.5);
		facture =client.arrFinMois();
		assertNull("facturation mensuelle non utile",facture);
	    cmd3 =  client.arrCommande("desc-piece3",(float)35.5);
		assertNotNull("accepte commande",cmd3);
		}
}
	
	