package etudeCasUML;

import java.util.Calendar;
import java.util.Date;
/**
 * Classe Commande pour étude de Cas du cours
 * @author Colette Johnen
 * @version 1.0 
 * @since december 2014
 */
public class Commande {
	private int numCmd;
	private static int nombreCmd=0;
	private String descriptionPiece;
	private float totalCmd;
	private Calendar dateCmd;
	private Calendar dateRealisation=null;
	
	public Commande(String description, float cout) {
		numCmd= nombreCmd++;
		descriptionPiece = description; 
		totalCmd = cout;
		dateCmd = Calendar.getInstance();
	};
	
	public float getMontant() {return totalCmd;}
	
	public Calendar getDateRealisation() {return dateRealisation;}
	
	public String toString() {
		return(" "+descriptionPiece+" au cout : "+totalCmd);
	}
	
	public void arrBonFabricationComplet(){
		dateRealisation = Calendar.getInstance();
		System.out.println("ENV information sur realisation "+descriptionPiece);
	}
	
}
